import { getDayOfWeekIndex } from "./utils";

// Mockovací data pro podporované podniky, na jeden týden
const MOCK_DATA = {
    'sladovnicka': [
        [
            {
                amount: "0,25l",
                name: "Kulajda",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "250g",
                name: "Kuřecí křidélka s vařeným bramborem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Hovězí hamburger s BBQ omáčkou a hranolky",
                price: "145\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Frankfurtská hovězí pečeně s jasmínovou rýží",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,25l",
                name: "Hovězí vývar s kapáním",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "200g",
                name: "Smažený karbanátek s bramborovou kaší",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Vepřová plec na smetaně s kynutým knedlíkem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Trhané kachní maso se zeleninovým kuskusem",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,25l",
                name: "Zelná polévka s klobásou",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "150g",
                name: "Hovězí na česneku s bramborovým knedlíkem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "250g",
                name: "Přírodní holandský řízek s bramborovou kaší, rajčatový salát",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "350g",
                name: "Bagel s vinnou klobásou, cibulový konfit, kysané zelí, slanina a hořčicová mayo, hranolky, curry omáčka",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,25l",
                name: "Kuřecí vývar s nudlemi",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "150g",
                name: "Kovbojské fazole s klobásou a chlebem",
                price: "125\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Kuřecí rarášci s vařeným bramborem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Hovězí pečeně na slanině s jasmínovou rýží",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,25l",
                name: "Dršťková polévka",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "150g",
                name: "Tortilla s kuřecím masem, čedarem, zeleninou a papričkami jalapeňos",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Segedínský guláš s kynutým knedlíkem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Filet z krůtích prsou, omáčka z modrého sýra, pečené brambory",
                price: "145\xA0Kč",
                isSoup: false,
            }
        ]
    ],
    'uMotliku': [
        [
            {
                amount: "0,33l",
                name: "Žampionový krém",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "250g",
                name: "Halušky se zelím a uzeným masem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Kuřecí směs se zeleninou a arašídy, jasmínová rýže",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Smažený vepřový řízek, vařený brambor, okurka",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,33l",
                name: "Zelňačka",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "250g",
                name: "Lasagne s boloňskou omáčkou a sýrem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Fazolový guláš s párkem, bramborem a pečivem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Grilovaná vepřová panenka s omáčkou z hrubozrnné hořčice, restované brambory se slaninou",
                price: "145\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,33l",
                name: "Kuřecí vývar s nudlemi",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "150g",
                name: "Hovězí svíčková na smetaně, kynutý knedlík, brusinky",
                price: "145\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Kuřecí roláda s mandlovou nádivkou, šťouchané brambory se slaninou",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Těstovinový salát s tuňákem",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,33l",
                name: "Minestrone",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "150g",
                name: "Hamburger s trhaným vepřovým pleckem v BBQ omáčce, karamelizovaná cibule, hranolky, jarní dip",
                price: "145\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Kuřecí medailonky v sýrové omáčce, šťouchaný brambor s pažitkou",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Kofty z mletého masa, tzatziki, pita chléb",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,33l",
                name: "Gulášová",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "150g",
                name: "Španělský hovězí ptáček, rýže (houskový knedlík)",
                price: "145\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Kuřecí prsa zapečená s rajčaty a mozarellou, šťouchaný brambor s jarní cibulkou",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "3ks",
                name: "Ovocné knedlíky s máslem, cukrem a tvarohem",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ]
    ],
    'techTower': [
        [
            {
                amount: "-",
                name: "Uzený vývar s kapustou",
                price: "40\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Čočka na kyselo, opečená klobása, okurka, chléb",
                price: "130\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Smažená brokolice, brambory, tatarská omáčka",
                price: "na\xA0váhu",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Uzený vepřový bůček, bramborové pyré",
                price: "na\xA0váhu",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Kuřecí medailonky v sýrové omáčce, hranolky",
                price: "na\xA0váhu",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Slepičí s nudlemi",
                price: "40\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Zvěřinový guláš, knedlík",
                price: "130\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Čínské nudle se zeleninou a vejcem",
                price: "na\xA0váhu",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Jitrnice/jelito, brambory, zelný salát s křenem, hořčice",
                price: "na\xA0váhu",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Vídeňská roštěná se smaženou cibulkou, jasmínová rýže",
                price: "na\xA0váhu",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Dýňový krém se smetanou",
                price: "40\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Kuřecí směs se zeleninou, rýže",
                price: "130\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Tvarohové knedlíky s meruňkami, strouhaný tvaroh, máslo, cukr",
                price: "na\xA0váhu",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Ovar, křen, hořčice, pečivo",
                price: "na\xA0váhu",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Telecí holandský řízek s uzeným sýrem, bramborové pyré",
                price: "na\xA0váhu",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Zeleninová s jáhly",
                price: "40\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Rizoto s vepřovým masem, okurka",
                price: "130\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Tortellini s parmezánovou omáčkou",
                price: "na\xA0váhu",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Pečený prejt, brambory, zelný salát",
                price: "na\xA0váhu",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Chobotnice na grilu, grilovaná zelenina, bylinková bageta",
                price: "na\xA0váhu",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Fazolová s uzeninou",
                price: "40\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Krůtí perkelt, těstoviny",
                price: "130\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Grilovaný hermelín, bulgurový salát se zeleninou",
                price: "na\xA0váhu",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Zabijačkový guláš, karlovarský knedlík",
                price: "na\xA0váhu",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Vepřový plátek na žampionech, jasmínová rýže",
                price: "na\xA0váhu",
                isSoup: false,
            }
        ]
    ],
    'zastavkaUmichala': [
        [
            {
                amount: "-",
                name: "Fazolačka s klobásou & zakysačkou",
                price: "39\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Zeleninová musaka – lilek, cuketa, tomatové sugo & sýrový bešamel",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Slovácké strapačky s uzenou slaninou, zelím, mletým pepřem & sekanou petrželkou",
                price: "140\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Hovězí guláš s vejcem, zeleninovou garniturkou & žemlovými knedlíky",
                price: "145\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Kuřecí roláda s kaštanovou nádivkou, demi-glace & smetanovou bramborovou kaší",
                price: "150\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Hovězí vývar se zeleninou a játrovou rýží",
                price: "39\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Pečené vepřové koleno, křen, hořčice, chléb",
                price: "320\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Zeleninová polévka s kuskusem",
                price: "39\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Poutine (trhané vepřové, hranolky, sýr, čalamáda, pikantní omáčka)",
                price: "190\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Hrachová polévka s uzeninou",
                price: "39\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Vepřový řízek z kotlety, domácí bramborový salát",
                price: "170\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Cibulačka se sýrem",
                price: "39\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Burger z Chuck rollu, hranolky, tatarská omáčka",
                price: "200\xA0Kč",
                isSoup: false,
            }
        ],
    ],
    'senkSerikova': [
        [
            {
                amount: "-",
                name: "Drůbeží vývar s masem a nudlemi",
                price: "45\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Vepřová pečeně se zelím a houskovým knedlíkem",
                price: "155\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Špagety s kuřecím masem, špenátem a smetanou",
                price: "145\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Medailonky z vepřové panenky s fazolkami se slaninou, šťouchané brambory",
                price: "185\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Mrkvová polévka se zázvorem a kokosovým mlékem",
                price: "45\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Hovězí po Burgundsku, bramborová kaše",
                price: "155\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Hovězí vývar s játrovými knedlíčky",
                price: "45\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Kuřecí plátky na sušených rajčatech, bylinkách a česneku, bramborová kaše",
                price: "155\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Kuřecí vývar s rýží",
                price: "45\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Rajská s plněnou paprikou, knedlík",
                price: "170\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Mexická fazolová polévka",
                price: "45\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Ragú z trhané kachny, onsen vejce, soté ze špenátu a ředkvičky, bramborové pyré, lanýžová sůl, zelený olej",
                price: "189\xA0Kč",
                isSoup: false,
            }
        ],
    ],
}

// Mockovací data pro Pizza day
const MOCK_PIZZA_LIST = [
    {
        name: "Margherita",
        ingredients: [
            "tomato",
            "mozzarella, eidam 40%",
            "goldi"
        ],
        sizes: [
            {
                varId: 1,
                size: "30cm",
                pizzaPrice: 138,
                boxPrice: 13,
                price: 151
            },
            {
                varId: 2,
                size: "35cm",
                pizzaPrice: 166,
                boxPrice: 15,
                price: 181
            },
            {
                varId: 3,
                size: "40cm",
                pizzaPrice: 223,
                boxPrice: 18,
                price: 241
            },
            {
                varId: 4,
                size: "50cm",
                pizzaPrice: 306,
                boxPrice: 25,
                price: 331
            }
        ]
    },
    {
        name: "Salami",
        ingredients: [
            "tomato",
            "pikantní salám",
            "mozzarella, eidam 40%",
            "goldi"
        ],
        sizes: [
            {
                varId: 6,
                size: "30cm",
                pizzaPrice: 142,
                boxPrice: 13,
                price: 155
            },
            {
                varId: 7,
                size: "35cm",
                pizzaPrice: 172,
                boxPrice: 15,
                price: 187
            },
            {
                varId: 8,
                size: "40cm",
                pizzaPrice: 233,
                boxPrice: 18,
                price: 251
            },
            {
                varId: 9,
                size: "50cm",
                pizzaPrice: 316,
                boxPrice: 25,
                price: 341
            }
        ]
    },
    {
        name: "Sausage",
        ingredients: [
            "tomato",
            "klobása",
            "pálivé papričky",
            "česnek",
            "mozzarella, eidam 40%",
            "goldi"
        ],
        sizes: [
            {
                varId: 10,
                size: "30cm",
                pizzaPrice: 142,
                boxPrice: 13,
                price: 155
            },
            {
                varId: 11,
                size: "35cm",
                pizzaPrice: 172,
                boxPrice: 15,
                price: 187
            },
            {
                varId: 12,
                size: "40cm",
                pizzaPrice: 233,
                boxPrice: 18,
                price: 251
            },
            {
                varId: 13,
                size: "50cm",
                pizzaPrice: 316,
                boxPrice: 25,
                price: 341
            }
        ]
    },
    {
        name: "Classic Ham",
        ingredients: [
            "tomato",
            "šunka výběrová",
            "mozzarella, eidam 40%",
            "goldi"
        ],
        sizes: [
            {
                varId: 14,
                size: "30cm",
                pizzaPrice: 142,
                boxPrice: 13,
                price: 155
            },
            {
                varId: 15,
                size: "35cm",
                pizzaPrice: 172,
                boxPrice: 15,
                price: 187
            },
            {
                varId: 16,
                size: "40cm",
                pizzaPrice: 233,
                boxPrice: 18,
                price: 251
            },
            {
                varId: 17,
                size: "50cm",
                pizzaPrice: 294,
                boxPrice: 25,
                price: 319
            }
        ]
    },
    {
        name: "Quattro Formaggi",
        ingredients: [
            "tomato",
            "niva",
            "mozzarella",
            "uzený sýr",
            "eidam 40%",
            "goldi"
        ],
        sizes: [
            {
                varId: 22,
                size: "30cm",
                pizzaPrice: 162,
                boxPrice: 13,
                price: 175
            },
            {
                varId: 23,
                size: "35cm",
                pizzaPrice: 186,
                boxPrice: 15,
                price: 201
            },
            {
                varId: 24,
                size: "40cm",
                pizzaPrice: 263,
                boxPrice: 18,
                price: 281
            },
            {
                varId: 25,
                size: "50cm",
                pizzaPrice: 346,
                boxPrice: 25,
                price: 371
            }
        ]
    },
    {
        name: "Hawai",
        ingredients: [
            "tomato",
            "šunka výběrová",
            "ananas",
            "mozzarella, eidam 40%",
            "goldi"
        ],
        sizes: [
            {
                varId: 26,
                size: "30cm",
                pizzaPrice: 162,
                boxPrice: 13,
                price: 175
            },
            {
                varId: 27,
                size: "35cm",
                pizzaPrice: 186,
                boxPrice: 15,
                price: 201
            },
            {
                varId: 28,
                size: "40cm",
                pizzaPrice: 263,
                boxPrice: 18,
                price: 281
            },
            {
                varId: 29,
                size: "50cm",
                pizzaPrice: 346,
                boxPrice: 25,
                price: 371
            }
        ]
    },
    {
        name: "Mushroom",
        ingredients: [
            "tomato",
            "žampiony",
            "zakysaná smetana",
            "pórek",
            "mozzarella, eidam 40%",
            "goldi"
        ],
        sizes: [
            {
                varId: 30,
                size: "30cm",
                pizzaPrice: 162,
                boxPrice: 13,
                price: 175
            },
            {
                varId: 31,
                size: "35cm",
                pizzaPrice: 186,
                boxPrice: 15,
                price: 201
            },
            {
                varId: 32,
                size: "40cm",
                pizzaPrice: 263,
                boxPrice: 18,
                price: 281
            },
            {
                varId: 33,
                size: "50cm",
                pizzaPrice: 346,
                boxPrice: 25,
                price: 371
            }
        ]
    },
    {
        name: "Mexico",
        ingredients: [
            "tomato",
            "pikantní salám",
            "slanina",
            "pálivé papričky",
            "červená cibule",
            "zelené olivy",
            "kukuřice",
            "mozzarella, eidam 40%",
            "goldi"
        ],
        sizes: [
            {
                varId: 34,
                size: "30cm",
                pizzaPrice: 162,
                boxPrice: 13,
                price: 175
            },
            {
                varId: 35,
                size: "35cm",
                pizzaPrice: 186,
                boxPrice: 15,
                price: 201
            },
            {
                varId: 36,
                size: "40cm",
                pizzaPrice: 263,
                boxPrice: 18,
                price: 281
            },
            {
                varId: 37,
                size: "50cm",
                pizzaPrice: 346,
                boxPrice: 25,
                price: 371
            }
        ]
    },
    {
        name: "Bismark",
        ingredients: [
            "tomato",
            "slanina",
            "vejce",
            "pórek",
            "mozzarella, eidam 40%",
            "sýr"
        ],
        sizes: [
            {
                varId: 38,
                size: "30cm",
                pizzaPrice: 162,
                boxPrice: 13,
                price: 175
            },
            {
                varId: 39,
                size: "35cm",
                pizzaPrice: 186,
                boxPrice: 15,
                price: 201
            },
            {
                varId: 40,
                size: "40cm",
                pizzaPrice: 263,
                boxPrice: 18,
                price: 281
            },
            {
                varId: 41,
                size: "50cm",
                pizzaPrice: 346,
                boxPrice: 25,
                price: 371
            }
        ]
    },
    {
        name: "Tuna",
        ingredients: [
            "tomato",
            "tuňák",
            "červená cibule",
            "černé olivy",
            "mozzarella, eidam 40%",
            "goldi"
        ],
        sizes: [
            {
                varId: 42,
                size: "30cm",
                pizzaPrice: 172,
                boxPrice: 13,
                price: 185
            },
            {
                varId: 43,
                size: "35cm",
                pizzaPrice: 212,
                boxPrice: 15,
                price: 227
            },
            {
                varId: 44,
                size: "40cm",
                pizzaPrice: 293,
                boxPrice: 18,
                price: 311
            },
            {
                varId: 45,
                size: "50cm",
                pizzaPrice: 376,
                boxPrice: 25,
                price: 401
            }
        ]
    },
    {
        name: "Spinach",
        ingredients: [
            "listový špenát",
            "kuřecí maso",
            "smetana",
            "mozzarella, eidam 40%",
            "česnek",
            "goldi"
        ],
        sizes: [
            {
                varId: 46,
                size: "30cm",
                pizzaPrice: 182,
                boxPrice: 13,
                price: 195
            },
            {
                varId: 47,
                size: "35cm",
                pizzaPrice: 222,
                boxPrice: 15,
                price: 237
            },
            {
                varId: 48,
                size: "40cm",
                pizzaPrice: 303,
                boxPrice: 18,
                price: 321
            },
            {
                varId: 49,
                size: "50cm",
                pizzaPrice: 386,
                boxPrice: 25,
                price: 411
            }
        ]
    },
    {
        name: "Persia",
        ingredients: [
            "smetana",
            "česnek",
            "slanina",
            "červené cibule",
            "paprika mix",
            "černé olivy",
            "kuřecí maso",
            "2 druhy omáček",
            "mozzarella, eidam 40%",
            "goldi"
        ],
        sizes: [
            {
                varId: 50,
                size: "30cm",
                pizzaPrice: 182,
                boxPrice: 13,
                price: 195
            },
            {
                varId: 51,
                size: "35cm",
                pizzaPrice: 222,
                boxPrice: 15,
                price: 237
            },
            {
                varId: 52,
                size: "40cm",
                pizzaPrice: 303,
                boxPrice: 18,
                price: 321
            },
            {
                varId: 53,
                size: "50cm",
                pizzaPrice: 396,
                boxPrice: 25,
                price: 421
            }
        ]
    },
    {
        name: "BBQ Dream",
        ingredients: [
            "tomato",
            "slanina",
            "paprika mix",
            "kuřecí maso",
            "červená cibule",
            "BBQ omáčka",
            "mozzarella, eidam 40%"
        ],
        sizes: [
            {
                varId: 54,
                size: "30cm",
                pizzaPrice: 182,
                boxPrice: 13,
                price: 195
            },
            {
                varId: 55,
                size: "35cm",
                pizzaPrice: 222,
                boxPrice: 15,
                price: 237
            },
            {
                varId: 56,
                size: "40cm",
                pizzaPrice: 303,
                boxPrice: 18,
                price: 321
            },
            {
                varId: 57,
                size: "50cm",
                pizzaPrice: 396,
                boxPrice: 25,
                price: 421
            }
        ]
    },
    {
        name: "Cranberries",
        ingredients: [
            "niva",
            "uzený sýr",
            "kuřecí maso",
            "brusinky",
            "goldi",
            "mozzarella, eidam 40%",
            "smetana",
            "česnek"
        ],
        sizes: [
            {
                varId: 58,
                size: "30cm",
                pizzaPrice: 182,
                boxPrice: 13,
                price: 195
            },
            {
                varId: 59,
                size: "35cm",
                pizzaPrice: 222,
                boxPrice: 15,
                price: 237
            },
            {
                varId: 60,
                size: "40cm",
                pizzaPrice: 303,
                boxPrice: 18,
                price: 321
            },
            {
                varId: 61,
                size: "50cm",
                pizzaPrice: 396,
                boxPrice: 25,
                price: 421
            }
        ]
    },
    {
        name: "Vegetarian",
        ingredients: [
            "tomato",
            "listový špenát",
            "rajčata",
            "černé olivy",
            "kukuřice",
            "mozzarella, eidam 40%",
            "goldi"
        ],
        sizes: [
            {
                varId: 62,
                size: "30cm",
                pizzaPrice: 188,
                boxPrice: 13,
                price: 201
            },
            {
                varId: 63,
                size: "35cm",
                pizzaPrice: 226,
                boxPrice: 15,
                price: 241
            },
            {
                varId: 64,
                size: "40cm",
                pizzaPrice: 313,
                boxPrice: 18,
                price: 331
            },
            {
                varId: 65,
                size: "50cm",
                pizzaPrice: 426,
                boxPrice: 25,
                price: 451
            }
        ]
    },
    {
        name: "Spicy Devil",
        ingredients: [
            "tomato",
            "červené cibule",
            "kuřecí maso",
            "pálivé papričky",
            "parmská šunka",
            "mozzarella, eidam 40%",
            "goldi"
        ],
        sizes: [
            {
                varId: 66,
                size: "30cm",
                pizzaPrice: 188,
                boxPrice: 13,
                price: 201
            },
            {
                varId: 67,
                size: "35cm",
                pizzaPrice: 226,
                boxPrice: 15,
                price: 241
            },
            {
                varId: 68,
                size: "40cm",
                pizzaPrice: 313,
                boxPrice: 18,
                price: 331
            },
            {
                varId: 69,
                size: "50cm",
                pizzaPrice: 426,
                boxPrice: 25,
                price: 451
            }
        ]
    },
    {
        name: "Dimi's pizza",
        ingredients: [
            "brokolice",
            "slanina",
            "kuřecí maso",
            "kukuřice",
            "kari",
            "mozzarella, eidam 40%",
            "smetana",
            "červená cibule",
            "goldi"
        ],
        sizes: [
            {
                varId: 309,
                size: "30cm",
                pizzaPrice: 182,
                boxPrice: 13,
                price: 195
            },
            {
                varId: 310,
                size: "35cm",
                pizzaPrice: 222,
                boxPrice: 15,
                price: 237
            },
            {
                varId: 311,
                size: "40cm",
                pizzaPrice: 303,
                boxPrice: 18,
                price: 321
            },
            {
                varId: 312,
                size: "50cm",
                pizzaPrice: 396,
                boxPrice: 25,
                price: 421
            }
        ]
    },
    {
        name: "Texas Pulled Pork",
        ingredients: [
            "tomato",
            "trhané vepřové maso",
            "kukuřice",
            "jalapeňos",
            "BBQ omáčka",
            "mozzarella, eidam 40%",
            "goldi"
        ],
        sizes: [
            {
                varId: 394,
                size: "30cm",
                pizzaPrice: 188,
                boxPrice: 13,
                price: 201
            },
            {
                varId: 395,
                size: "35cm",
                pizzaPrice: 226,
                boxPrice: 15,
                price: 241
            },
            {
                varId: 396,
                size: "40cm",
                pizzaPrice: 313,
                boxPrice: 18,
                price: 331
            },
            {
                varId: 397,
                size: "50cm",
                pizzaPrice: 426,
                boxPrice: 25,
                price: 451
            }
        ]
    }
]

/**
 * Funkce vrací mock datu ve formátu YYYY-MM-DD
 */
export const getTodayMock = (): Date => {
    return new Date('2025-01-10'); // pátek
}

export const getMenuSladovnickaMock = () => {
    return MOCK_DATA['sladovnicka'];
}

export const getMenuUMotlikuMock = () => {
    return MOCK_DATA['uMotliku'];
}

export const getMenuTechTowerMock = () => {
    return MOCK_DATA['techTower'];
}

export const getMenuZastavkaUmichalaMock = () => {
    return MOCK_DATA['zastavkaUmichala'];
}

export const getMenuSenkSerikovaMock = () => {
    return MOCK_DATA['senkSerikova'];
}

export const getPizzaListMock = () => {
    return MOCK_PIZZA_LIST;
}